#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB8,0xBD,0x93,0x70,0x1B,0x37,0x95,0x75,0x1B,0xDC,0x3E,0xCE,
		0xD8,0x41,0xA4,0xE2,0x0D,0x95,0xAD,0xB3,0xF5,0x4A,0x49,0x04,
		0xBD,0x5F,0xBF,0xB4,0x19,0x9B,0x50,0x35,0x05,0xBA,0xD7,0x11,
		0xD1,0x66,0xA4,0x1F,0x44,0x2C,0x39,0xAD,0xFB,0x80,0x8D,0xF3,
		0xE8,0x62,0xCD,0x7B,0x4B,0x4E,0x20,0xB8,0x3D,0xA7,0x59,0x5B,
		0xBC,0xD8,0x3C,0xBF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
